> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/jobs-api/offices/create-an-office.md).

# Create an office

This endpoint lets you create new offices for a given organization\_reference.

{% hint style="info" %}
&#x20;This endpoint requires `offices_rw` scope.
{% endhint %}

## new office

<mark style="color:green;">`POST`</mark> `https://www.welcomekit.co/api/v1/external/offices`

#### Query Parameters

| Name                                                      | Type    | Description                         |
| --------------------------------------------------------- | ------- | ----------------------------------- |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Organization reference              |
| name<mark style="color:red;">\*</mark>                    | string  | Name                                |
| address                                                   | string  | Address                             |
| zip\_code                                                 | string  | Zip code                            |
| city<mark style="color:red;">\*</mark>                    | string  | City                                |
| country\_code<mark style="color:red;">\*</mark>           | string  | Country code                        |
| is\_headquarter                                           | boolean | Office is organization headquarter? |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "id": 42,
  "name": "Paris",
  "address": "11 bis rue Bachaumont",
  "zip_code": "75002",
  "city": "Paris",
  "country_code": "FR",
  "is_headquarter": true
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X POST "https://www.welcomekit.co/api/v1/external/offices" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "organization_reference": "Pg4eV6k",
  "name": "Paris",
  "address": "11 bis rue Bachaumont",
  "zip_code": "75002",
  "city": "Paris",
  "country_code": "FR",
  "is_headquarter": true
}
EOF
```
